# LobbyDBSpec::AddFriend_Data Class Reference

Adds a userId / friendId to the friends table. More...

`#include <LobbyDBSpec.h>`

Inheritance diagram for LobbyDBSpec::AddFriend_Data:

List of all members.

## Public Attributes

UserIdOrHandle | id
| [in] Which user
UserIdOrHandle | friendId
| [in] Which friend
long long | creationTime
| [out] When this row was added to the database. Used by GetFriends_Data only.
bool | userFound
| [out] If the user was found in the database
bool | friendFound
| [out] If the friend was found in the database
bool | success
| [out] If the query succeeded
RakNet::RakString | queryResult
| [out] Description of the query result.

## Detailed Description

Adds a userId / friendId to the friends table.

The documentation for this class was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyDBSpec.h